You need Microsoft Internet Explorer version 5.5 or higher to access the application!